"use strict";
/* eslint-disable tsdoc/syntax,jsdoc/require-description */
/**
 * {@link WebSocketServerTransport WebSocket server-side transport} that
 * lets connecting clients join a {@link Network}.
 *
 * ```javascript
 * import { Network, AnonymousAuth } from 'ataraxia';
 * import { WebSocketServerTransport } from 'ataraxia-ws-server';
 *
 * // Setup a network with a WebSocket server
 * const net = new Network({
 *   name: 'name-of-your-app-or-network',
 *   transport: [
 *     new WebSocketServerTransport({
 *       port: 7000,
 *       authentication: [
 *         new AnonymousAuth()
 *       ]
 *     })
 *   ]
 * });
 *
 * await net.join();
 * ```
 *
 * @module ataraxia-ws-server
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
__exportStar(require("./WebSocketServerTransport"), exports);
//# sourceMappingURL=index.js.map